2009-06-03 23:55  Sylvain Vedrenne (gnu_sylvano)

	* Sudokuki version 1.0.0 ("Sudokuki", stable, Gtkmm GUI)

       Fixed the following bug(s):
        - 2798611 "Edit/Lang","Edit/numbers" unavailable after Custom+New
	- 2797875 "Save grid as..." and "Print" unavailable after Custom + New
	- 2797600 Position of "Open grid" and "Save grid" dialogs
	- 2797599 "Discard grid?" dialog remains after "custom grid" action
	- 2796991 Keep same window position when changing language or numbers
	- 2796986 "Discard grid?" dialog: leave it until the new grid is ready

2009-05-24 22:00  Sylvain Vedrenne (gnu_sylvano)

	* Sudokuki version 0.9.14 ("Sudokuki", stable, Gtkmm GUI)

       Fixed the following bug(s):
        - 2796157 "Resolve cell" unavailable in pop up menu on first line
 	- 2795456 "New game" while in custom grid mode doen't behave well
        - 2795379 Should not allow opening files other than .ski files
	- 2795372 In the menu, "Resolve cell" available after filling cell
	- 2795364 Play custom grid: resolve cell is always available
	- 2795360 Should not be possible to Undo custom grid values!
	- 2795287 Resolve cell must be deactivated while composing custom grid
	- 2795081 "Open a sudokuki grid file..." cannot be translated
	- 2795080 "Save sudokuki grid to a file..." cannot be translated
	- 2794984 Incorrect custom grid resolved after changing kanji mode
	- 2794448 Deactivate "Resolve cell" when user fills current cell
	- 2794447 Activate "Resolve cell" upon Undo emptying current cell

2009-05-21 23:30  Sylvain Vedrenne (gnu_sylvano)

	* Sudokuki version 0.9.13 ("Sudokuki", stable, Gtkmm GUI)

       Implemented the following feature(s):
        - 2793552 Print preferences: show a simple information dialog

       Fixed the following bug(s):
        - 2789531 Should not be possible to enter values after resolve game!
	- 2789532 Can enter a value from context menu on a non-empty cells!
	- 2789809 Regression:if there are user values, crash when solving game
	- 2715501 Undo doesn't behave correctly after "Resolve cell"
	- 2789530 Win32FullPackage with more recent gtk/gtkmm dlls
	- 2172819 Impossible to cancel when entering a dead end upon first go
	- 2791441 "One of your moves is in the way" remaining...
	- 2015967 Dead end detection incomplete
	- 2791435 Changing kanji mode allows playing though in a dead end
	- 2793555 Custom grid values should be in black
	- 2793552 Print preferences: show a simple information dialog
	- 2793551 Impossible to Undo / Clear All after changing kanji/language
	- 2652376 Many strings cannot be localized
	- 2794092 Resolve_cell action should be deactivated after Resolve

2009-05-15 00:10  Sylvain Vedrenne (gnu_sylvano)

	* Sudokuki version 0.9.12 ("Sudokuki", almost stable, Gtkmm GUI)

       Implemented the following feature(s):
        - <none>

       Fixed the following bug(s):
        - 2747982 [r403]Saved game user played values should be in "blue"
        - #2118524 0.7.0_Gtkmm Dead-end message remaining
        - #2715501 Undo doesn't behave correctly after "Resolve cell"
	- #2789811 win32FullPackage.zip : incorrect _bold_ ka
	- #2789531 Should not be possible to enter values after resolve game!

2009-04-24 23:30  Sylvain Vedrenne (gnu_sylvano)

	* Sudokuki version 0.9.11 ("Sudokuki", almost stable, Gtkmm GUI)

       Implemented the following feature(s):
        - Level selection

       Fixed the following bug(s):
	- 2406808 [092]Change_language after Resolve goes back to play status

2009-04-18 16:15  Sylvain Vedrenne (gnu_sylvano)

	* Sudokuki version 0.9.10 ("Sudokuki", almost stable, Gtkmm GUI)

       Implemented the following features:
        - Added a popup menu for "Resolve cell" feature (Claus Poerschke).
        - 2406830 Allow playing only with the mouse (Sylvain Vedrenne).
	- 2715495 reinit the grid after kanji/numbers change

       Fixed the following bugs:
        - 2118521 Print action => 2 browser instead of 1
	- 2715510 Changing language to "ja" when in kanjimode crashes

2009-04-13 22:45  Sylvain Vedrenne (gnu_sylvano)

	* Sudokuki version 0.9.9-2 ("Sudokuki", Beta, Gtkmm GUI)

	Fixed build problem with release archives, that was due to
	dbgm_traces.h missing from Makefile.am

2009-04-12 20:00  Sylvain Vedrenne (gnu_sylvano)

	* Sudokuki version 0.9.9 ("Sudokuki", Beta, Gtkmm GUI),

	Added a nice "resolve cell" feature, thanks to Claus Poerschke,
	and fixed some side effects that appeared with this modification.
	Added "kanji mode" allowing the user to play with kanji	numbers.
	Changed fonts, now using "dark green" color for resolved cells.
	Cleaned up some traces, centralized traces definition in one include.
	Updated German translations from Claus Poerschke.

2009-03-01 20:00  Sylvain Vedrenne (gnu_sylvano)

	* Sudokuki version 0.9.8 ("Sudokuki", Beta, Gtkmm GUI),

	Released German translations from Claus Poerschke.
	Marked missing strings as gettextized to allow their translation.
	Added to SVN: 'debian' directory for building the debian package.

2009-02-08 23:00  Sylvain Vedrenne (gnu_sylvano)

	* Sudokuki version 0.9.7 ("Sudokuki", Beta, Gtkmm GUI),

	Added a nice picture in the "About" ("A propos...") dialog.

2009-01-31 15:00  Sylvain Vedrenne (gnu_sylvano)

	* Sudokuki version 0.9.6 ("Sudokuki", Beta, Gtkmm GUI),

	Fixed the "Save game"/"Open game" feature by including
        previously played moves. (Fixed bugs: 2537325, 2537321).
	
2009-01-25 19:10  Sylvain Vedrenne (gnu_sylvano)

	* Sudokuki version 0.9.5 ("Sudokuki", Beta, Gtkmm GUI),

	Added Greek language, thanks to Hélène Damianakos'
        hand-written contribution.
	Current supported languages: 
	  English (en),
	  Esperanto (eo),
	  French (fr),
	  Greek (el),
	  Spanish (es),
	  Japanese (ja).

	Fixed cell navigation problem when using Left/Right/Up/Down keys in 
    	conjunction with mouse clicks (Bugs: 2169510,2180594,2169505).

2009-01-03 23:30  Sylvain Vedrenne (gnu_sylvano)

	* Sudokuki version 0.9.4 ("Sudokuki", Beta, Gtkmm user interface),

	Added the much expected "Custom grid" feature.

2008-12-14 21:00  Sylvain Vedrenne (gnu_sylvano)

	* Sudokuki version 0.9.3_Gtkmm ("Sudokukimm", Alpha status),

	Added Spanish language, thanks to Aritz Beraza's contribution.
	Current supported languages: en, eo, es, fr, ja.

	Added a basic "Open grid" and "Save grid" feature.
	Please note that at the moment, Sudokuki doesn't yet allow
	saving the complete game including the user's moves. Only the
	generated grid is saved! If users ask for it, this feature will
	be extended soon.

2008-12-06 11:00  Sylvain Vedrenne (gnu_sylvano)

	* Sudokuki version 0.9.2_Gtkmm ("Sudokukimm", Alpha status),

	Added "Select language" feature in Edit menu.
	Current supported languages: en, eo, fr, ja.

2008-11-01 12:00  Sylvain Vedrenne (gnu_sylvano)

	* Sudokuki version 0.9.1_Gtkmm ("Sudokukimm", Alpha status),

	Cleaned up the source tree: removed unused source files.
	This will make the release archives lighter.
	Added Japanese translations.

2008-10-15 22:50  Sylvain Vedrenne (gnu_sylvano)

	* Sudokuki version 0.9.0_Gtkmm ("Sudokukimm", Alpha status),

	Added management of up/down/left/right keys for moving 
	on the grid.

2008-10-05 20:45  Sylvain Vedrenne (gnu_sylvano)

	* Sudokuki version 0.8.1_Gtkmm ("Sudokukimm", Alpha status),

        Added Esperanto translations.
        Updated French translations.
        Remove obsolete_guis directory from release and repository.

2008-09-24 22:50  Sylvain Vedrenne (gnu_sylvano)

	* Sudokuki version 0.8.0_Gtkmm ("Sudokukimm", Alpha status),
	(freeze started on SVN-r274).

	Fixed/refactored "New Game" feature that was making the application crash 
	at startup on Win32.

2008-09-18 23:40  Sylvain Vedrenne (gnu_sylvano)

	* Sudokuki version 0.7.0_Gtkmm ("Sudokukimm", Alpha status),
	(freeze started on SVN-r267).

	Added "New Game" feature.

2008-08-27 23:00  Sylvain Vedrenne (gnu_sylvano)

	* Sudokuki version 0.6.0_Gtkmm ("Sudokukimm", Alpha status), SVN-r260.

	Added capability to go back one move.
	Updated french translations.

2008-07-10 00:10  Sylvain Vedrenne (gnu_sylvano)

	* Sudokuki revision 257 ("Sudokukimm", Alpha status):
	
	Added menu tooltips and menu hints.
	Added some strings to i18n and updated french translation.

2008-07-09 00:09  Sylvain Vedrenne (gnu_sylvano)

	* Sudokuki revision 253 ("Sudokukimm", Alpha status):
	
	Updated the project to cross-compile for Win32 with NLS support.

2008-07-05 15:15  Sylvain Vedrenne (gnu_sylvano)

	* Sudokuki version 0.5.0_Gtkmm ("Sudokukimm", Alpha status): 
	 
	Added these features:
	 - display a message dialog when the grid is complete
	 - display a message dialog when a dead end is detected
	 - warn the user after a dead end was detected that going back
	   some moves is necessary: message dialog, statusbar.

2008-06-25 22:30  Sylvain Vedrenne (gnu_sylvano)

	* Sudokuki version 0.4.0_Gtkmm ("Sudokukimm", Alpha status): 
	 
	Added these features:
	 - playing the grid, including dead-end detection
	 - clear all moves
	 
	And since version 0.3.1B_Gtkmm:
	 - fixed: display the generated grid in a web browser
	 (problem was: launching the browser on MS-Windows).

2008-06-01 22:00  Sylvain Vedrenne (gnu_sylvano)

	* Sudokuki version 0.3.1_Gtkmm ("Sudokukimm", Alpha status): 
	 
	Added a "Print" menu entry, that exports the generated grid
	to HTML and displays it in your web browser, which allows you
	to print it.

2008-05-29 23:00  Sylvain Vedrenne (gnu_sylvano)

	* Sudokuki version 0.3.0_Gtkmm ("Sudokukimm", Alpha status): 

	New features:
	 - export the generated grid to HTML
	 - printing the grid is possible thanks to your Web browser
	 
	In this version, when Sudokuki starts, it automatically
	exports the generated grid to a temporary directory,
	and opens it using a browser if it finds one among the following:
	'epiphany', 'iceweasel', 'firefox', 'konqueror', 'firefox.exe', ...
	
	By the way, filling an empty cell is inhibited for the moment,
	since it doesn't make sense in the current alpha version,
	still under development.
		
2008-05-25 19:45  Sylvain Vedrenne (gnu_sylvano)

	* Sudokuki version 0.2.2_Gtkmm ("Sudokukimm", Alpha status): 

	Gtkmm GUI bug fixes:
	 - Only one digit allowed for each cell;
	 - Pre-filled cells in Bold font, user-filled cells in Normal font;
	 - Pre-filled cells are not editable anymore, as expected;
	 - Features not available should not be selectable from the toolbar or menus.

2008-04-23 23:00  Sylvain Vedrenne (gnu_sylvano)

	* Sudokuki version 0.2.1_Gtkmm ("Sudokukimm", Alpha status): 

	Re-enabled MinGW cross-compilation for Win32 systems, 
	after it was broken by the i18n modifications.
	i18n is supported only on other systems, such as GNU/Linux.
	Help is welcome for porting it to Win32.
	
	Removed m4/Makefile and po/Makefile from SVN, as they are
	generated files. Updated INSTRUCTIONS.

	
2008-04-20 22:50  Sylvain Vedrenne (gnu_sylvano)

	* Sudokuki version 0.2.0_gtkmm ("Sudokukimm", Alpha status): 
	
	Added support for I18N (internationalization), allowing L10N 
	(localization) of Sudokuki into various languages. To do so, 
	I had a look at the hello-c++-gnome example package that comes
	with GNU/gettext, and modified autogen.sh, configure.ac, 
	Makefile.am, added po/ and m4/ directories, etc.

	
2008-04-19  gettextize  <bug-gnu-gettext@gnu.org>

	* m4/gettext.m4: Upgrade to gettext-0.17.
	* m4/iconv.m4: Upgrade to gettext-0.17.
	* m4/lib-link.m4: Upgrade to gettext-0.17.
	* m4/po.m4: Upgrade to gettext-0.17.
	* Makefile.am (ACLOCAL_AMFLAGS): New variable.
	* configure.ac (AM_GNU_GETTEXT_VERSION): Bump to 0.17.

2008-04-06 00:00  Sylvain Vedrenne (gnu_sylvano)

	* Sudokuki version 0.1.0_gtkmm (Alpha), 
	named Sudokukimm ("mm" stands for "Gtkmm").
	
	Completely rewrote Sudokuki. Now the code is much simpler.
	Added an application icon.
	

2008-02-12 00:30  Sylvain Vedrenne (gnu_sylvano)

	* Sudokuki version 0.0.15_gtkmm (Alpha):
	
	Traces are not visible by default, because they affect the application performance
	a lot, when solving a grid, for instance.


2007-10-16 00:30  Sylvain Vedrenne

	* Sudokuki version 0.0.14_gtkmm (Alpha):

	Added missing xfc_dummy.cc file in SVN.
	

2007-09-29 01:15  Sylvain Vedrenne

	* Sudokuki version 0.0.13_gtkmm (Alpha):

	The Xfc front-end is no more compiled by default,
	because only the Gtkmm front-end is maintained at the moment.
	To compile the Xfc gui despite that, use the files:
		configure.ac_original
		src/guis/Makefile.am_original
		src/guis/xfc/Makefile.am_original
	
	
2007-09-01 03:15  Sylvain Vedrenne

	* Sudokuki version 0.0.12_gtkmm (Alpha):

	Imported a sudoku generator from the public domain (suexg, v12).
	Gtkmm: grid generation, only at application startup for the moment.
	Gtkmm: Temporarily disabled the menu actions that are not yet available: 
		New, Open, SaveAs, Undo, Clear, Preferences


2007-08-28 22:50  Sylvain Vedrenne

	* Sudokuki version 0.0.11_gtkmm (Alpha):

	Gtkmm front-end: show menu hints in the status bar.
	The Gtkmm front-end is now in line with the Xfc front-end, and even above.


2007-08-25 00:30  Sylvain Vedrenne

	* Sudokuki version 0.0.10_gtkmm (Alpha):

	Gtkmm front-end: avoid crash when trying to solve a grid that's already complete.


2007-08-23 22:45  Sylvain Vedrenne

	* Sudokuki version 0.0.9_gtkmm (Alpha):

	Fixed Game|Quit menu and button.
	Fixed the wrapping of the GPL license for correct display in the About dialog. 


2007-08-22 23:00  Sylvain Vedrenne
	
	* Sudokuki version 0.0.8_gtkmm (Alpha):
	
	Added an "About" dialog, showing license and credits.
	

2007-08-19 20:45  Sylvain Vedrenne
	
	* Sudokuki version 0.0.7_gtkmm (Alpha):
	
	The Gtkmm front-end is now usable for solving grids. It is 95% in line with the Xfc front-end.
	This version of Sudokuki is an Alpha version, since at least one of the major functionalities
	(solving grids) is available.


2007-08-18 18:00  Sylvain Vedrenne
	
	* Sudokuki version 0.0.6 (pre-Alpha):
	
	Implemented a less basic Gtkmm front-end, almost usable.
	It is only a pre-Alpha! In particular, the Gtkmm UI is not yet very much usable.

	// My development configuration: GNU/Linux Debian testing:
		ii  libgtkmm-2.4-1c2a                1:2.10.10-0.2
		ii  libgtkmm-2.4-dev                 1:2.10.10-0.2
		ii  libgtk2.0-0                      2.10.13-1
		ii  libgtk2.0-dev                    2.10.13-1


2007-08-14 23:30  Sylvain Vedrenne
	
	* Sudokuki version 0.0.5 (pre-Alpha):
	
	Implemented a basic Gtkmm front-end.

	// My development configuration: GNU/Linux Debian etch.
	

2007-05-01 00:02  Sylvain Vedrenne
	
	* Sudokuki version 0.0.4 (pre-Alpha):
	
	Minor modifications of Xfc front-end.


2007-05-01 00:20  Sylvain Vedrenne
	
	* Sudokuki version 0.0.3 (pre-Alpha):
	
	Added capability to solve the grid.
	

2007-04-28 02:02  Sylvain Vedrenne
	
	* Sudokuki version 0.0.2 (pre-Alpha):
	
	Added capability to read a sudoku grid from a file indicated
	on the command line using "-f" option.

	
2007-03-21 23:51  Sylvain Vedrenne
	
	* Sudokuki version 0.0.1 (pre-Alpha), first release of Sudokuki:
	
	The user has the possibility to complete the grid. 
	The graphical interface will only allow valid entries.
